wibble::tests::TestIsGt< A, E > Struct Template Reference

`#include <tests.h>`

Collaboration diagram for wibble::tests::TestIsGt< A, E >:
[legend]

## Public Member Functions

| TestIsGt (const A &actual, const E &expected, bool inverted=false)
TestIsGt< A, E > | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

A | actual
E | expected
bool | inverted

## Constructor & Destructor Documentation

template<typename A, typename E>

wibble::tests::TestIsGt< A, E >::TestIsGt | ( | const A & | actual,
|  | const E & | expected,
|  | bool | inverted = `false`
| ) |  |

inline

## Member Function Documentation

template<typename A, typename E>

void wibble::tests::TestIsGt< A, E >::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

inline

References wibble::tests::Location::fail_test().

template<typename A, typename E>

TestIsGt<A, E> wibble::tests::TestIsGt< A, E >::operator! | ( |  | ) |

inline

References wibble::tests::TestIsGt< A, E >::actual, wibble::tests::TestIsGt< A, E >::expected, and wibble::tests::TestIsGt< A, E >::inverted.

## Member Data Documentation

template<typename A, typename E>

A wibble::tests::TestIsGt< A, E >::actual

Referenced by wibble::tests::TestIsGt< A, E >::operator!().

template<typename A, typename E>

E wibble::tests::TestIsGt< A, E >::expected

Referenced by wibble::tests::TestIsGt< A, E >::operator!().

template<typename A, typename E>

bool wibble::tests::TestIsGt< A, E >::inverted

Referenced by wibble::tests::TestIsGt< A, E >::operator!().

The documentation for this struct was generated from the following file:

- tests.h